1. DOUBAO
NEWAPI
  • Image Models
    • DOUBAO
      • doubao-seed-1-8-251228
        POST
    • Gemini
      • gemini-3.1-pro-preview
  • Video Models
    • Sora
      • Sora-2
      • Sora-2(获取视频任务状态)
      • Sora-2(获取视频内容)
  • Chat Models
    • Claude
      • claude-opus-4-6
    • GPT
      • GPT 5.4
      • GPT 5.4(Responses)
    • Gemini
      • gemini-3.1-pro
  1. DOUBAO

doubao-seed-1-8-251228

POST
/v1/images/generations/
通用 Agent 模型 Seed1.8。它支持文字与图片输入,凭借其强大的多模态处理能力,在信息检索、代码编写、图形用户界面(GUI)交互等复杂应用场景中展现出优秀的性能。Seed1.8 在多项 Agent 基准测试中展现出突出的性能与广泛的适用性。它具备了业界领先的 GUI Agent 能力,在 Seed1.5-VL 基础上进一步提升。Seed1.8 在搜索任务中表现同样突出,在多组公开 Agent 搜索评测基准中保持业界第一梯队水平,比如在 BrowseComp-en 基准测试中得分高达 67.6,超过 Gemini-3-Pro 等其他顶级模型。在智能编程相关基准测试中,Seed1.8 展现出了面向真实软件工程场景的稳定能力。在经济价值领域相关基准中,Seed1.8 展现出在现实世界高价值工作流中的能力。
Actual API Endpoint: POST https://refreshing-gratitude-production.up.railway.app/v1/images/generations/
Model Code: doubao-seed-1-8-251228

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Body

🟠401
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/images/generations/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seed-1-8-251228",
    "prompt": "A cute baby sea otter",
    "n": 1,
    "size": "1024x1024"
}'
Response Response Example
{
    "created": 1713833628,
    "data": [
        {
            "b64_json": "..."
        }
    ],
    "usage": {
        "total_tokens": 100,
        "input_tokens": 50,
        "output_tokens": 50,
        "input_tokens_details": {
            "text_tokens": 10,
            "image_tokens": 40
        }
    }
}
Modified at 2026-03-20 10:27:55
Next
gemini-3.1-pro-preview
Built with